Package com.destroystokyo.paper.event.player

# Class PlayerTeleportEndGatewayEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerMoveEvent
org.bukkit.event.player.PlayerTeleportEvent
com.destroystokyo.paper.event.player.PlayerTeleportEndGatewayEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerTeleportEndGatewayEvent extends PlayerTeleportEvent
Fired when a teleport is triggered for an End Gateway

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.player.PlayerTeleportEvent

`PlayerTeleportEvent.TeleportCause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerTeleportEndGatewayEvent(@NotNull Player player, @NotNull Location from, @NotNull Location to, @NotNull EndGateway gateway)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull EndGateway`
`getGateway()`
The gateway triggering the teleport

### Methods inherited from class org.bukkit.event.player.PlayerTeleportEvent

`getCause, getHandlerList, getHandlers, getRelativeTeleportationFlags, willDismountPlayer`

### Methods inherited from class org.bukkit.event.player.PlayerMoveEvent

`getFrom, getTo, hasChangedBlock, hasChangedOrientation, hasChangedPosition, hasExplicitlyChangedBlock, hasExplicitlyChangedPosition, isCancelled, setCancelled, setFrom, setTo`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerTeleportEndGatewayEvent

public PlayerTeleportEndGatewayEvent(@NotNull @NotNull Player player, @NotNull @NotNull Location from, @NotNull @NotNull Location to, @NotNull @NotNull EndGateway gateway)

## Method Details

### getGateway

@NotNull public @NotNull EndGateway getGateway()
The gateway triggering the teleport

Returns:
  EndGateway used